fix MEMSET users.

--- aubio-0.3.0/ext/midi/midi_alsa_raw.c~	2006-01-18 06:37:33.000000000 +0100
+++ aubio-0.3.0/ext/midi/midi_alsa_raw.c	2006-05-26 02:20:22.000000000 +0200
@@ -109,7 +109,7 @@
     AUBIO_ERR( "Out of memory");
     return NULL;
   }
-  AUBIO_MEMSET(dev, 0, sizeof(aubio_midi_alsa_raw_driver_t));
+  AUBIO_MEMSET(dev, 0, aubio_midi_alsa_raw_driver_t);
 
   dev->driver.handler = handler;
   dev->driver.data = data;
--- aubio-0.3.0/ext/midi/midi_alsa_seq.c~	2006-01-18 06:37:33.000000000 +0100
+++ aubio-0.3.0/ext/midi/midi_alsa_seq.c	2006-05-26 02:20:21.000000000 +0200
@@ -101,7 +101,7 @@
         AUBIO_ERR( "Out of memory");
         return NULL;
     }
-    AUBIO_MEMSET(dev, 0, sizeof(aubio_alsa_seq_driver_t));
+    AUBIO_MEMSET(dev, 0, aubio_alsa_seq_driver_t);
     dev->seq_port = -1;
     dev->driver.data = data;
     dev->driver.handler = handler;
--- aubio-0.3.0/ext/midi/midi_file.c~	2006-01-18 06:37:33.000000000 +0100
+++ aubio-0.3.0/ext/midi/midi_file.c	2006-05-26 02:20:20.000000000 +0200
@@ -65,7 +65,7 @@
     AUBIO_ERR( "Out of memory");
     return NULL;
   }
-  AUBIO_MEMSET(mf, 0, sizeof(aubio_midi_file_t));
+  AUBIO_MEMSET(mf, 0, aubio_midi_file_t);
 
   mf->c = -1;
   mf->running_status = -1;
--- aubio-0.3.0/ext/sndfileio.c~	2006-04-30 18:05:14.000000000 +0200
+++ aubio-0.3.0/ext/sndfileio.c	2006-05-26 02:20:17.000000000 +0200
@@ -41,7 +41,7 @@
 aubio_sndfile_t * new_aubio_sndfile_ro(const char* outputname) {
         aubio_sndfile_t * f = AUBIO_NEW(aubio_sndfile_t);
         SF_INFO sfinfo;
-        AUBIO_MEMSET(&sfinfo, 0, sizeof (sfinfo));
+        AUBIO_MEMSET(&sfinfo, 0, sfinfo);
         sfinfo.format = 0;
 
         f->handle = sf_open (outputname, SFM_READ, &sfinfo);
@@ -69,7 +69,7 @@
 
 int aubio_sndfile_open_wo(aubio_sndfile_t * f, const char* inputname) {
         SF_INFO sfinfo;
-        AUBIO_MEMSET(&sfinfo, 0, sizeof (sfinfo));
+        AUBIO_MEMSET(&sfinfo, 0, sfinfo);
 
         /* define file output spec */
         sfinfo.samplerate = f->samplerate;
